net.sf.statsvn.util.svnkit

## Class SvnKitPropget.SvnKitPropertyHandler

- java.lang.Object
- - net.sf.statsvn.util.svnkit.SvnKitPropget.SvnKitPropertyHandler

All Implemented Interfaces:
  org.tmatesoft.svn.core.wc.ISVNPropertyHandler

Enclosing class:
  SvnKitPropget

    protected class SvnKitPropget.SvnKitPropertyHandler
    extends java.lang.Object
    implements org.tmatesoft.svn.core.wc.ISVNPropertyHandler

### Field Summary

Fields
`protected java.util.List` `binaryFiles`

### Fields inherited from interface org.tmatesoft.svn.core.wc.ISVNPropertyHandler

`NULL`

### Constructor Summary

Constructors
Constructor and Description
`SvnKitPropget.SvnKitPropertyHandler(SvnKitPropget propgetUtils, java.util.List binaryFiles)`

### Method Summary

Methods
`protected java.util.List` `getBinaryFiles()`
`protected SvnKitPropget` `getPropgetUtils()`
`void` `handleProperty(java.io.File file, org.tmatesoft.svn.core.wc.SVNPropertyData data)`
`void` `handleProperty(long revision, org.tmatesoft.svn.core.wc.SVNPropertyData data)`
`void` `handleProperty(org.tmatesoft.svn.core.SVNURL url, org.tmatesoft.svn.core.wc.SVNPropertyData data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### binaryFiles

    protected java.util.List binaryFiles

### Constructor Detail

#### SvnKitPropget.SvnKitPropertyHandler

    public SvnKitPropget.SvnKitPropertyHandler(SvnKitPropget propgetUtils,
                                       java.util.List binaryFiles)

### Method Detail

#### getBinaryFiles

    protected java.util.List getBinaryFiles()

#### getPropgetUtils

    protected SvnKitPropget getPropgetUtils()

#### handleProperty

    public void handleProperty(java.io.File file,
                      org.tmatesoft.svn.core.wc.SVNPropertyData data)
                        throws org.tmatesoft.svn.core.SVNException

Specified by:
  `handleProperty` in interface `org.tmatesoft.svn.core.wc.ISVNPropertyHandler`
Throws:
  `org.tmatesoft.svn.core.SVNException`

#### handleProperty

    public void handleProperty(long revision,
                      org.tmatesoft.svn.core.wc.SVNPropertyData data)
                        throws org.tmatesoft.svn.core.SVNException

Specified by:
  `handleProperty` in interface `org.tmatesoft.svn.core.wc.ISVNPropertyHandler`
Throws:
  `org.tmatesoft.svn.core.SVNException`

#### handleProperty

    public void handleProperty(org.tmatesoft.svn.core.SVNURL url,
                      org.tmatesoft.svn.core.wc.SVNPropertyData data)
                        throws org.tmatesoft.svn.core.SVNException

Specified by:
  `handleProperty` in interface `org.tmatesoft.svn.core.wc.ISVNPropertyHandler`
Throws:
  `org.tmatesoft.svn.core.SVNException`